Observability
List spans in one of a user's traces
List spans in one of a user's traces
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/traces/{trace_id}/spans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/traces/{trace_id}/spans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/traces/{trace_id}/spans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"name": "<string>",
"span_id": "<string>",
"span_kind": "<string>",
"span_status": "ok",
"span_type": "<string>",
"started_at_unix_seconds": 123,
"trace_id": "<string>",
"attributes": "<unknown>",
"command_name": "<string>",
"cost": {
"input_cost_usd": 123,
"output_cost_usd": 123,
"total_cost_usd": 123,
"source": "<string>"
},
"duration_ms": 1,
"ended_at_unix_seconds": 123,
"event_seq": 123,
"events": "<unknown>",
"input": "<unknown>",
"mcp_server": "<string>",
"metadata": "<unknown>",
"model": "<string>",
"output": "<unknown>",
"parent_span_id": "<string>",
"provider": "<string>",
"service_name": "<string>",
"skill_name": "<string>",
"skill_version": "<string>",
"tool_name": "<string>",
"tool_type": "<string>",
"usage": {
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
}
}
],
"page": {
"limit": 1,
"next_cursor": "<string>"
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I
List spans in one of a user's traces
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/traces/{trace_id}/spans \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/traces/{trace_id}/spans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/traces/{trace_id}/spans"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"name": "<string>",
"span_id": "<string>",
"span_kind": "<string>",
"span_status": "ok",
"span_type": "<string>",
"started_at_unix_seconds": 123,
"trace_id": "<string>",
"attributes": "<unknown>",
"command_name": "<string>",
"cost": {
"input_cost_usd": 123,
"output_cost_usd": 123,
"total_cost_usd": 123,
"source": "<string>"
},
"duration_ms": 1,
"ended_at_unix_seconds": 123,
"event_seq": 123,
"events": "<unknown>",
"input": "<unknown>",
"mcp_server": "<string>",
"metadata": "<unknown>",
"model": "<string>",
"output": "<unknown>",
"parent_span_id": "<string>",
"provider": "<string>",
"service_name": "<string>",
"skill_name": "<string>",
"skill_version": "<string>",
"tool_name": "<string>",
"tool_type": "<string>",
"usage": {
"cache_read_tokens": 123,
"cache_write_tokens": 123,
"input_tokens": 123,
"output_tokens": 123,
"total_tokens": 123
}
}
],
"page": {
"limit": 1,
"next_cursor": "<string>"
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}